<?php

// Exit if accessed directly
if ( !defined('ABSPATH')) exit;

/**
   Template Name:  Landing Page (no menu)
*/

?>

<?php get_header(); ?>

<div id="sub-head">
<div id="container">
<h1 class="post-title"><?php the_title(); ?></h1>

</div>
</div>
</div></div>

<div id="container" class="hfeed">

    <?php Wcolor_header_end(); // after header hook ?>
	<?php Wcolor_wrapper(); // before wrapper ?>
	
    <div id="wrapper" class="clearfix">

    <?php Wcolor_in_wrapper(); // wrapper hook ?>

        <div id="content-full" class="grid col-940">

<?php if (have_posts()) : ?>
		<?php while (have_posts()) : the_post(); ?>
		
            <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

                <div class="post-entry">

                    <?php the_content(__('Read more &#8250;', 'Wcolor')); ?>
                    <?php wp_link_pages(array('before' => '<div class="pagination">' . __('Pages:', 'Wcolor'), 'after' => '</div>')); ?>

                </div><!-- end of .post-entry -->

                <?php if ( comments_open() ) : ?>

                <div class="post-data">

				    <?php the_tags(__('Tagged with:', 'Wcolor') . ' ', ', ', '<br />'); ?>
                    <?php the_category(__('Posted in %s', 'Wcolor') . ', '); ?>

                </div>

                <?php endif; ?>             

            <div class="post-edit"><?php edit_post_link(__('Edit', 'Wcolor')); ?></div>
            </div>

        <?php endwhile; ?>
        <?php if (  $wp_query->max_num_pages > 1 ) : ?>

        <div class="navigation">
			<div class="previous"><?php next_posts_link( __( '&#8249; Older posts', 'Wcolor' ) ); ?></div>
            <div class="next"><?php previous_posts_link( __( 'Newer posts &#8250;', 'Wcolor' ) ); ?></div>
		</div>

        <?php endif; ?>
	    <?php else : ?>

        <h1 class="title-404"><?php _e('404 &#8212; Fancy meeting you here!', 'Wcolor'); ?></h1>
        <p><?php _e('Don&#39;t panic, we&#39;ll get through this together. Let&#39;s explore our options here.', 'Wcolor'); ?></p>
        <h6><?php _e( 'You can return', 'Wcolor' ); ?> <a href="<?php echo home_url(); ?>/" title="<?php esc_attr_e( 'Home', 'Wcolor' ); ?>"><?php _e( '&larr; Home', 'Wcolor' ); ?></a> <?php _e( 'or search for the page you were looking for', 'Wcolor' ); ?></h6>
        <?php get_search_form(); ?>

<?php endif; ?>

</div>

<?php get_footer(); ?>