/*
 * Template Name: SquareGrid
 * Created date: 2010.12.10
 * Author: Olziibat
 * Mail: olziinaa@gmail.com
 */

function createCookie(name,value,days)
{
    if (days)
    {
        var date = new Date();
        date.setTime(date.getTime()+(days*24*60*60*1000));
        var expires = "; expires="+date.toGMTString();
    }
    else var expires = "";
    document.cookie = name+"="+value+expires+"; path=/";
}
function readCookie(name)
{
    var nameEQ = name + "=";
    var ca = document.cookie.split(';');
    for(var i=0;i < ca.length;i++)
    {
        var c = ca[i];
        while (c.charAt(0)==' ') c = c.substring(1,c.length);
        if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
    }
    return null;
}
function eraseCookie(name)
{
    createCookie(name,"",-1);
}
jQuery(document).ready(function($) {
    $('.show_hide').click(function(){
        if(jQuery(".demo_navigation").css('left') == '0px'){ left = -177;} else{ left = 0;}
        jQuery(".demo_navigation").animate({
            left: left
        });
     
    });
    jQuery('.demo_options img').click(function() {
        group = jQuery(this).attr('data-radio');
        jQuery('.'+group+' img').each(function(){
            jQuery(this).removeClass('imgSelected');
        });        
        jQuery(this).addClass('imgSelected');
        jQuery(this).next().attr('checked', 'checked');
        jQuery(this).next().change();
    });
    jQuery('.demo_options>.bg_pattern>div').click(function() {
        jQuery(this).siblings('div').removeClass('imgSelected'); 
        jQuery(this).addClass('imgSelected');
        jQuery(this).next().attr('checked', 'checked');
        jQuery(this).next().change();
    });
    jQuery('.demo_options>.bg_pattern>div>div').click(function() {
        jQuery(this).siblings('div').removeClass('imgSelected'); 
        jQuery(this).addClass('imgSelected');
        jQuery(this).next().attr('checked', 'checked');
        jQuery(this).next().change();
    });
    $(".demo_options img[title], .schemas a[title], .demo_options div[alt]").easyTooltip();
    $('input[name=skin]').change(function() {
        createCookie('skin',this.value,1);
        if(readCookie('skin')!=null){
            $customSkin=readCookie('skin');
            $customSkin0=tt_skins[$customSkin+'.png'][0];
            $customSkin1=tt_skins[$customSkin+'.png'][1];
            $demoStyle  = '\n\n';
            $demoStyle += '.header-top, #footer{'+'background:'+$customSkin1+'; background: -moz-radial-gradient(center, ellipse cover, '+$customSkin1+' 0%, '+$customSkin0+' 100%); background: -webkit-gradient(radial, center center, 0px, center center, 100%, color-stop(0%,'+$customSkin1+'), color-stop(100%,'+$customSkin0+')); background: -webkit-radial-gradient(center, ellipse cover, '+$customSkin1+' 0%,'+$customSkin0+' 100%); background: -o-radial-gradient(center, ellipse cover, '+$customSkin1+' 0%,'+$customSkin0+' 100%); background: -ms-radial-gradient(center, ellipse cover, '+$customSkin1+' 0%,'+$customSkin0+' 100%); background: radial-gradient(ellipse at center, '+$customSkin1+' 0%,'+$customSkin0+' 100%); filter: progid:DXImageTransform.Microsoft.gradient( startColorstr="'+$customSkin1+'", endColorstr="'+$customSkin0+'",GradientType=1 ); '+'}\n';
            $demoStyle += '.widget-title, #sidebar .widget-title, h2.wpb_teaser_grid_heading, h2.quote-text, h2.link-text {border-left-color: '+$customSkin0+';}\n';
            $demoStyle += '#contactform input.error, #contactform textarea.error, #commentform input.error, #commentform textarea.error{border: 1px solid '+$customSkin0+';}\n';
            $demoStyle += '#contactform label.error, #commentform label.error, .blog-top h4 a, .entry-title, .tab-meta, link_title{color: '+$customSkin0+';}\n';
            $demoStyle += 'legend{border-bottom: 1px solid '+$customSkin0+';}\n';
            $demoStyle += '.more-link:hover,.blog-top h4 a:hover, .postformat-icon a img , .recent-view, .wpb_twitter_widget .twitter_follow_button, .wpb_teaser_grid .recentpost-link-icon{background-color: '+$customSkin0+' !important;}\n';
            $demoStyle += 'textarea:focus, input[type="text"]:focus, input[type="password"]:focus, input[type="datetime"]:focus, input[type="datetime-local"]:focus, input[type="date"]:focus, input[type="month"]:focus, input[type="time"]:focus, input[type="week"]:focus, input[type="number"]:focus, input[type="email"]:focus, input[type="url"]:focus, input[type="search"]:focus, input[type="tel"]:focus, input[type="color"]:focus, .uneditable-input:focus{border-color: '+$customSkin0+' !important;}\n';
            $demoStyle += 'a:hover{color:'+$customSkin1+';}\n';
            $demoStyle += '.ui-state-active a, .ui-state-active a:link, .ui-state-active a:visited, .entry-meta > div a:hover, .comment-list h6, .pagination .active a, .pagination a:hover, #menu > li.current_page_item > a, #menu ul.children li a:hover, #menu>li.current-menu-ancestor>a, a ,.widget li a:hover,ul.dropdown a:hover, ul.dropdown ul li a:hover, #menu>li>a:hover, #menu .mega-item ul.children li a:hover, #menu div.children>div a:hover{color: '+$customSkin0+';}\n';
            $demoStyle += '.button a:hover,.da-thumbs li .port-hover div , .button a.selected,.post-author-name, .button, .comment-button .btn, .comment-reply-link , .pagination a{background: '+$customSkin0+';}\n';
            jQuery('html>head').append('<style type="text/css">'+$demoStyle+'</style>');
        }
    });
    
    ////////////Cookie//////////////
    jQuery('#reset_cookie').click(function(){
        eraseCookie('skin');
        eraseCookie('bg_pattern');
        eraseCookie('hd_pattern');
        eraseCookie('ft_pattern');
        eraseCookie('opnen_default');
        eraseCookie('pointer_front_end');
        location.reload();
    });

    if(readCookie('skin')!=null)
    { 
        $('input:radio[name=skin]').filter('[value='+readCookie('skin')+']').change();
    }
    else
    {
        if(tt_skins)
        {
            $('input:radio[name=skin]').filter('[value='+tt_skins+']').change();
        }
    }
    
    ///////////// Front-end pointer //////////////////
    if(readCookie('pointer_front_end')==null){
        createCookie('pointer_front_end','logo',1);
    }
    
    if(readCookie('pointer_front_end')!=null && readCookie('pointer_front_end')!='disabled'){
        message_dector=readCookie('pointer_front_end');
        //for(message_dector in front_end_pointer_message){
            jQuery(front_end_pointer_message[message_dector][0]).pointer({
                content: front_end_pointer_message[message_dector][1],
                position: {
                    edge: front_end_pointer_message[message_dector][2],
                    align: 'center'
                },
                close: function(){
                    createCookie('pointer_front_end','disabled',1);
                }
            }).pointer('open');
        //}
    }
    if(readCookie('opnen_default')==null){
        jQuery('.show_hide').click();
        createCookie('opnen_default');
    }
    jQuery(".pt_touch").each(function(){
        jQuery(this).niceScroll(jQuery(this).children("div"));
    });
    jQuery(".pt-title").tooltip({placement:'right'});
    
    jQuery('.button-primary').click(function(){
        createCookie('pointer_front_end',jQuery(this).attr('data-pointer'),1);
    });
    jQuery('#reset_cookie2').click(function(){
        jQuery("#reset_cookie").click();
    });
});